"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TranslatedItem = void 0;
class TranslatedItem {
  constructor(props) {
    this.props = props;
  }
  get itemId() {
    return this.props.itemId;
  }
  get value() {
    return this.props.value;
  }
  get translatedOn() {
    return this.props.translatedOn;
  }
  get translatedBy() {
    return this.props.translatedBy;
  }
  static create(props) {
    return new TranslatedItem(props);
  }
  translatedAfter(date) {
    return this.translatedOn && this.translatedOn.getTime() > date.getTime();
  }
}
exports.TranslatedItem = TranslatedItem;

//# sourceMappingURL=TranslatedItem.js.map